GET /v1/organizations/{org_id}/projects/{id}
Every monitoring stack, CVE alert and EOL subscription is attached to a project. Project IDs are obtained by walking the hierarchy from your organizations: see GET /v1/organizations.
Project details
Section titled “Project details”GET /api/v1/organizations/{org_id}/projects/{project_id}Authorization: Bearer twa_your_key_herePath parameters
Section titled “Path parameters”| Parameter | Type | Description |
|---|---|---|
org_id |
UUID |
Organization identifier |
project_id |
UUID |
Project identifier |
Response 200 OK
Section titled “Response 200 OK”{ "id": "018e1234-abcd-7000-8000-000000000010", "name": "Prod infrastructure", "description": "Production servers and dependencies", "org_id": "018e5678-abcd-7000-8000-000000000001", "is_default": true, "created_at": "2024-03-15T10:22:00Z"}Fields
Section titled “Fields”| Field | Type | Description |
|---|---|---|
id |
string (UUID) |
Project identifier — used in every /organizations/{org_id}/projects/{id}/... endpoint |
name |
string |
Project name |
description |
string | null |
Description (null if not set) |
org_id |
string (UUID) | null |
Organization the project belongs to |
is_default |
boolean |
true for the project created automatically at signup |
created_at |
string (ISO 8601) |
Creation date |
Errors
Section titled “Errors”| Code | Detail | Cause |
|---|---|---|
404 |
Projet introuvable |
Project does not exist, belongs to another organization, or is outside the key’s project restriction |
403 |
Cette clé API n'a pas le droit d'accéder à cette ressource. |
The projects scope is missing from the key |
Examples
Section titled “Examples”Store the default project ID of the personal organization
PERSONAL_ORG=$(curl -s \ -H "Authorization: Bearer twa_your_key_here" \ https://app.techwatchalert.com/api/v1/organizations \ | jq -r '.[] | select(.is_personal == true) | .id')
DEFAULT_PROJECT=$(curl -s \ -H "Authorization: Bearer twa_your_key_here" \ "https://app.techwatchalert.com/api/v1/organizations/${PERSONAL_ORG}/projects" \ | jq -r '.[] | select(.is_default == true) | .id')
echo "Default project: $DEFAULT_PROJECT"